/* pmmi.h - header for Portable MMI
 * Copyright (C) 2000 Tachibana Eriko
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */


#ifndef pmmi_h
#define pmmi_h


struct straw_tag {
  struct straw_tag* prev;
  char* str;
};
typedef struct straw_tag Straw;


extern void pushi (int n);
extern void push (char* str);
extern int popi (void);
extern Straw* pop (void);
extern void throw3 (Straw* s1, Straw* s2, Straw* s3);
extern void throw2 (Straw* s1, Straw* s2);
extern void throw (Straw* s);

extern void* Malloc (int size);
extern void* Realloc (void* ptr, int size);


#endif /* !pmmi_h */

/* EOF */
